inChurch
inChurch API

Financial - Cost Center

Endpoint:https://inradar.com.br/public

List Financial Cost Centers

GET
https://inradar.com.br/public
/v1/financial_cost_centers/

Get a list of financial cost centers based on the user's access level.

List Financial Cost Centersquery Parameters

  • limitinteger

    Number of results to return per page.

  • offsetinteger

    The initial index from which to return the results.

List Financial Cost CentersHeaders

  • Authorizationstring · required

    HTTP Basic. SEND: Basic base64(api_key:api_secret)

List Financial Cost CentersResponses

  • countinteger · required
    Example: 123
  • resultsobject[] · required
  • nextstring | null · uri
    Example: http://api.example.org/accounts/?offset=400&limit=100
  • previousstring | null · uri
    Example: http://api.example.org/accounts/?offset=200&limit=100

Retrieve a Financial Cost Center

GET
https://inradar.com.br/public
/v1/financial_cost_centers/{id}/

Get detailed information about a specific financial cost center.

Retrieve a Financial Cost Centerpath Parameters

  • idinteger · required

    A unique integer value identifying this cost center.

Retrieve a Financial Cost CenterHeaders

  • Authorizationstring · required

    HTTP Basic. SEND: Basic base64(api_key:api_secret)

Retrieve a Financial Cost CenterResponses

  • idinteger · readOnly · required
  • namestring · required
  • churchreadOnly · required
  • descriptionstring | null